"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Drawer = _interopRequireDefault(require("react-native-simple-elements/components/Drawer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const defaultProps = {
  drawerPaddingTop: 0,
  showMask: true
};

const SimpleDrawer = props => {
  const {
    items,
    onItemPress,
    drawerPaddingTop,
    showMask
  } = props;

  const _handleItemPress = item => {
    if (typeof onItemPress === "function") {
      onItemPress(item);
    }
  };

  return /*#__PURE__*/React.createElement(_Drawer.default, {
    drawerPaddingTop: drawerPaddingTop,
    showMask: showMask
  }, Array.isArray(items) && items.length > 0 && items.map((item, index) => {
    return /*#__PURE__*/React.createElement(_Drawer.default.Item, {
      key: index,
      label: item.label,
      icon: item.icon,
      onPress: () => _handleItemPress(item)
    });
  }));
};

SimpleDrawer.defaultProps = defaultProps;
var _default = SimpleDrawer;
exports.default = _default;
//# sourceMappingURL=SimpleDrawer.js.map