"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactScrollbarSize = _interopRequireDefault(require("react-scrollbar-size"));

var _Appbar = require("react-native-simple-elements/components/Appbar");

var _useScreenSize = _interopRequireDefault(require("react-native-simple-elements/components/Container/utils/useScreenSize"));

var _AuthorizedUserMenu = _interopRequireDefault(require("../AuthorizedUserMenu"));

var _account = _interopRequireDefault(require("@mdi/svg/svg/account.svg"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const HeaderContainer = _styledComponents.default.div({
  zIndex: 3
});

const LeftContent = _styledComponents.default.div({
  width: 240
});

const defaultProps = {
  isUserIconCircle: true,
  shouldCheckScrollbarSize: false
};

const SimpleHeader = props => {
  const {
    title,
    backButtonIcon,
    onBackButtonClick,
    loggedInUser,
    isUserIconCircle,
    shouldCheckScrollbarSize,
    onLoginClick,
    onViewProfileClick,
    onLogoutClick,
    renderDesktopContent,
    renderRightActions
  } = props;
  const {
    isMobileView
  } = (0, _useScreenSize.default)();
  const {
    width: scrollbarSize
  } = (0, _reactScrollbarSize.default)();

  const _handleBackActionPress = () => {
    if (typeof onBackButtonClick === "function") {
      onBackButtonClick();
    }
  };

  const _handleLoginClick = () => {
    if (typeof onLoginClick === "function") {
      onLoginClick();
    }
  };

  return /*#__PURE__*/React.createElement(HeaderContainer, {
    style: {
      marginRight: shouldCheckScrollbarSize ? scrollbarSize || 0 : 0
    }
  }, /*#__PURE__*/React.createElement(_Appbar.AppbarHeader, null, !isMobileView ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(LeftContent, null)) : null, isMobileView ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_Appbar.AppbarBackAction, {
    icon: backButtonIcon,
    onPress: _handleBackActionPress
  }), /*#__PURE__*/React.createElement(_Appbar.AppbarContent, {
    title: title
  })) : null, !isMobileView && renderDesktopContent ? renderDesktopContent() : null, renderRightActions ? renderRightActions() : null, loggedInUser !== null && loggedInUser !== void 0 && loggedInUser.userId ? /*#__PURE__*/React.createElement(_AuthorizedUserMenu.default, {
    circle: isUserIconCircle,
    loggedInUser: loggedInUser,
    onViewProfileClick: onViewProfileClick,
    onLogoutClick: onLogoutClick
  }) : /*#__PURE__*/React.createElement(_Appbar.AppbarAction, {
    icon: _account.default,
    onPress: _handleLoginClick
  })));
};

SimpleHeader.defaultProps = defaultProps;
var _default = SimpleHeader;
exports.default = _default;
//# sourceMappingURL=SimpleHeader.js.map