"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _TextInput = _interopRequireDefault(require("react-native-simple-elements/components/TextInput"));

var _HelperText = _interopRequireDefault(require("react-native-simple-elements/components/HelperText"));

var _MaskInput = _interopRequireDefault(require("../MaskInput"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const defaultProps = {
  secureTextEntry: false,
  masked: false
};

const ValidationTextInput = props => {
  const {
    label,
    value,
    onChange,
    placeholder,
    errorMessage,
    secureTextEntry,
    masked,
    mask,
    ...rest
  } = props;
  return /*#__PURE__*/React.createElement(React.Fragment, null, masked ? /*#__PURE__*/React.createElement(_MaskInput.default, _extends({
    label: label,
    value: value,
    onChangeText: onChange,
    secureTextEntry: secureTextEntry,
    placeholder: placeholder,
    mask: mask
  }, rest)) : null, !masked ? /*#__PURE__*/React.createElement(_TextInput.default, _extends({
    label: label,
    value: value,
    onChangeText: onChange,
    secureTextEntry: secureTextEntry,
    placeholder: placeholder
  }, rest)) : null, /*#__PURE__*/React.createElement(_HelperText.default, {
    type: "error",
    visible: !!errorMessage
  }, errorMessage));
};

ValidationTextInput.defaultProps = defaultProps;
var _default = ValidationTextInput;
exports.default = _default;
//# sourceMappingURL=ValidationTextInput.js.map