import * as React from "react";
import Menu from "react-native-simple-elements/components/Menu";
import ImageButton from "react-native-simple-elements/components/ImageButton";
const defaultProps = {
  circle: false
};

const AuthorizedUserMenu = props => {
  const {
    loggedInUser,
    circle,
    onViewProfileClick,
    onLogoutClick
  } = props;
  const {
    firstName,
    avatarUrl
  } = loggedInUser || {};
  const [isOpen, setIsOpen] = React.useState(false);

  const openMenu = () => {
    setIsOpen(true);
  };

  const closeMenu = () => {
    setIsOpen(false);
  };

  return /*#__PURE__*/React.createElement(Menu, {
    visible: isOpen,
    onDismiss: closeMenu,
    anchor: /*#__PURE__*/React.createElement(ImageButton, {
      source: {
        uri: avatarUrl
      },
      circle: circle,
      onPress: openMenu
    })
  }, (loggedInUser === null || loggedInUser === void 0 ? void 0 : loggedInUser.userId) && /*#__PURE__*/React.createElement(Menu.Item, {
    title: firstName || "",
    titleStyle: {
      textAlign: "center"
    },
    onPress: () => {
      if (typeof onViewProfileClick === "function") {
        onViewProfileClick();
      }
    }
  }), /*#__PURE__*/React.createElement(Menu.Item, {
    title: "Item 1"
  }), /*#__PURE__*/React.createElement(Menu.Item, {
    title: "Item 2"
  }), (loggedInUser === null || loggedInUser === void 0 ? void 0 : loggedInUser.userId) && /*#__PURE__*/React.createElement(Menu.Item, {
    title: "Logout",
    onPress: () => {
      if (typeof onLogoutClick === "function") {
        onLogoutClick();
      }
    }
  }));
};

AuthorizedUserMenu.defaultProps = defaultProps;
export default AuthorizedUserMenu;
//# sourceMappingURL=AuthorizedUserMenu.js.map